taccuino.vo

## Class AddNoteRequest

- java.lang.Object
- - taccuino.vo.AddNoteRequest

-     public class AddNoteRequest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ContattiStruttureRequestDTO` | `contattiStrutture`
    `protected DatiCittadinoRequestDTO` | `datiCittadino`
    `private DocumentoRequestDTO` | `documento`
    `private FarmaciIntegratoriRequestDTO` | `farmaciIntegratori`
    `private InformazioniPersonaliRequestDTO` | `informazioniPersonali`
    `protected NotaRequestDTO` | `nota`
    `private OsservazioniPersonaliRequestDTO` | `osservazioniPersonali`
    `private String` | `patientCode`
    `protected List<ProtesiAusilioRequestDTO>` | `protesiAusili`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddNoteRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattiStruttureRequestDTO` | `getContattiStrutture()`
    `DatiCittadinoRequestDTO` | `getDatiCittadino()`
    `DocumentoRequestDTO` | `getDocumento()`
    `FarmaciIntegratoriRequestDTO` | `getFarmaciIntegratori()`
    `InformazioniPersonaliRequestDTO` | `getInformazioniPersonali()`
    `NotaRequestDTO` | `getNota()`
    `OsservazioniPersonaliRequestDTO` | `getOsservazioniPersonali()`
    `String` | `getPatientCode()`
    `List<ProtesiAusilioRequestDTO>` | `getProtesiAusili()`
    `void` | `setContattiStrutture(ContattiStruttureRequestDTO contattiStrutture)`
    `void` | `setDatiCittadino(DatiCittadinoRequestDTO datiCittadino)`
    `void` | `setDocumento(DocumentoRequestDTO documento)`
    `void` | `setFarmaciIntegratori(FarmaciIntegratoriRequestDTO farmaciIntegratori)`
    `void` | `setInformazioniPersonali(InformazioniPersonaliRequestDTO informazioniPersonali)`
    `void` | `setNota(NotaRequestDTO nota)`
    `void` | `setOsservazioniPersonali(OsservazioniPersonaliRequestDTO osservazioniPersonali)`
    `void` | `setPatientCode(String patientCode)`
    `void` | `setProtesiAusili(List<ProtesiAusilioRequestDTO> protesiAusili)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patientCode

          private String patientCode

    - #### datiCittadino

          protected DatiCittadinoRequestDTO datiCittadino

    - #### nota

          protected NotaRequestDTO nota

    - #### documento

          private DocumentoRequestDTO documento

    - #### osservazioniPersonali

          private OsservazioniPersonaliRequestDTO osservazioniPersonali

    - #### contattiStrutture

          private ContattiStruttureRequestDTO contattiStrutture

    - #### farmaciIntegratori

          private FarmaciIntegratoriRequestDTO farmaciIntegratori

    - #### informazioniPersonali

          private InformazioniPersonaliRequestDTO informazioniPersonali

    - #### protesiAusili

          protected List<ProtesiAusilioRequestDTO> protesiAusili

  - ### Constructor Detail

    - #### AddNoteRequest

          public AddNoteRequest()

  - ### Method Detail

    - #### getPatientCode

          public String getPatientCode()

    - #### setPatientCode

          public void setPatientCode(String patientCode)

    - #### getDatiCittadino

          public DatiCittadinoRequestDTO getDatiCittadino()

    - #### setDatiCittadino

          public void setDatiCittadino(DatiCittadinoRequestDTO datiCittadino)

    - #### getNota

          public NotaRequestDTO getNota()

    - #### setNota

          public void setNota(NotaRequestDTO nota)

    - #### getDocumento

          public DocumentoRequestDTO getDocumento()

    - #### setDocumento

          public void setDocumento(DocumentoRequestDTO documento)

    - #### getOsservazioniPersonali

          public OsservazioniPersonaliRequestDTO getOsservazioniPersonali()

    - #### setOsservazioniPersonali

          public void setOsservazioniPersonali(OsservazioniPersonaliRequestDTO osservazioniPersonali)

    - #### getContattiStrutture

          public ContattiStruttureRequestDTO getContattiStrutture()

    - #### setContattiStrutture

          public void setContattiStrutture(ContattiStruttureRequestDTO contattiStrutture)

    - #### getFarmaciIntegratori

          public FarmaciIntegratoriRequestDTO getFarmaciIntegratori()

    - #### setFarmaciIntegratori

          public void setFarmaciIntegratori(FarmaciIntegratoriRequestDTO farmaciIntegratori)

    - #### getInformazioniPersonali

          public InformazioniPersonaliRequestDTO getInformazioniPersonali()

    - #### setInformazioniPersonali

          public void setInformazioniPersonali(InformazioniPersonaliRequestDTO informazioniPersonali)

    - #### getProtesiAusili

          public List<ProtesiAusilioRequestDTO> getProtesiAusili()

    - #### setProtesiAusili

          public void setProtesiAusili(List<ProtesiAusilioRequestDTO> protesiAusili)